Get a listing
curl --request GET \
--url https://api.visor.vin/v1/listings/{listing_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.visor.vin/v1/listings/{listing_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.visor.vin/v1/listings/{listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "0043554b54709f18a7bcf42f23e5e6ef",
"vin": "4T1DAACKXTU765422",
"status": "active",
"price": 35236,
"miles": 0,
"inventory_type": "new",
"stock_number": "263929",
"vdp_url": "https://www.northhollywoodtoyota.com/viewdetails/new/4t1daackxtu765422",
"vhr_url": null,
"photo_urls": [
"https://delivery.via.assetscs.toyota.com/adobe/assets/urn:aaid:aem:260ec892-e9be-4815-9148-8c139edd5b95/as/image.png?fmt=png-alpha%2Crgb%2Cnone"
],
"photo_url_primary": "https://delivery.via.assetscs.toyota.com/adobe/assets/urn:aaid:aem:260ec892-e9be-4815-9148-8c139edd5b95/as/image.png?fmt=png-alpha%2Crgb%2Cnone",
"pricing": null,
"inventory_date": "2026-06-09",
"sold_date": null,
"last_checked_at": "2026-06-09 11:40:57.534384",
"dealer": {
"dealer_id": "16ed7612-0ffd-4e1e-88db-174f8dd57c54",
"name": "North Hollywood Toyota",
"city": "North Hollywood",
"state": "CA",
"postal_code": "91602",
"latitude": 34.154,
"longitude": -118.3678,
"phone": "(818) 369-3922"
},
"vehicle": {
"vin": "4T1DAACKXTU765422",
"status": "active",
"build": {
"year": 2026,
"make": "Toyota",
"model": "Camry",
"trim": "SE",
"version": "SE Hybrid",
"body_type": "Sedan",
"drivetrain": "FWD",
"fuel_type": "Hybrid",
"powertrain_type": "HEV",
"transmission": "CVT",
"engine": "2.5L I4",
"cylinders": 4,
"doors": 4,
"seating_capacity": 5,
"exterior_color": "Dark Cosmos",
"interior_color": "Black SofTex",
"base_exterior_color": "Blue",
"base_interior_color": "Black",
"assembly_location": null,
"window_sticker_verified": false,
"base_msrp": 31800,
"combined_msrp": 35711,
"options": [
{
"code": "3J",
"name": "Blackout Emblem Overlays",
"msrp": 89
},
{
"code": "2T",
"name": "All-Weather Floor Liner Package",
"msrp": 319
}
]
}
},
"price_history": []
},
"meta": {}
}{
"_tag": "PublicApiValidationError",
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"current_version": "<string>",
"minimum_supported_version": "<string>",
"reason_code": "<string>",
"update_url": "<string>",
"update_command": "<string>"
}
}{
"_tag": "PublicApiAuthenticationError",
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"current_version": "<string>",
"minimum_supported_version": "<string>",
"reason_code": "<string>",
"update_url": "<string>",
"update_command": "<string>"
}
}{
"_tag": "PublicApiBillingError",
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"current_version": "<string>",
"minimum_supported_version": "<string>",
"reason_code": "<string>",
"update_url": "<string>",
"update_command": "<string>"
}
}{
"_tag": "PublicApiPermissionError",
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"current_version": "<string>",
"minimum_supported_version": "<string>",
"reason_code": "<string>",
"update_url": "<string>",
"update_command": "<string>"
}
}{
"_tag": "PublicApiNotFoundError",
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"current_version": "<string>",
"minimum_supported_version": "<string>",
"reason_code": "<string>",
"update_url": "<string>",
"update_command": "<string>"
}
}{
"_tag": "PublicApiRateLimitError",
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"current_version": "<string>",
"minimum_supported_version": "<string>",
"reason_code": "<string>",
"update_url": "<string>",
"update_command": "<string>"
},
"retryAfter": 123
}{
"_tag": "PublicApiPlatformError",
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"current_version": "<string>",
"minimum_supported_version": "<string>",
"reason_code": "<string>",
"update_url": "<string>",
"update_command": "<string>"
}
}Inventory
Get a listing
Returns listing-centered detail by listing_id. Missing listings return 404 not_found_error.
GET
/
v1
/
listings
/
{listing_id}
Get a listing
Authorizations
Send API keys as Authorization: Bearer <api_key>. Query-string API keys are rejected.
Path Parameters
Stable listing identifier.
Query Parameters
Comma-separated optional expansions. Supported values are price_history and options.
⌘I
